import { Component, ViewChild, Injector, Output, EventEmitter } from '@angular/core';
import { ModalDirective } from 'ngx-bootstrap';
import { GetPreferenceForViewDto, PreferenceDtos } from '@shared/service-proxies/service-proxies';
import { AppComponentBase } from '@shared/common/app-component-base';

@Component({
    selector: 'viewPreferenceModal',
    templateUrl: './view-preference-modal.component.html'
})
export class ViewPreferenceModalComponent extends AppComponentBase {

    @ViewChild('createOrEditModal', { static: true }) modal: ModalDirective;
    @Output() modalSave: EventEmitter<any> = new EventEmitter<any>();

    active = false;
    saving = false;

    item: GetPreferenceForViewDto;


    constructor(
        injector: Injector
    ) {
        super(injector);
        this.item = new GetPreferenceForViewDto();
        this.item.preference = new PreferenceDtos();
    }

    show(item: GetPreferenceForViewDto): void {
        this.item = item;
        this.active = true;
        this.modal.show();
    }

    close(): void {
        this.active = false;
        this.modal.hide();
    }
}
